package main

import (
	"fmt"

	"git.fricloud.dk/eyjhb/minifluxmpv/cmd"
	tea "github.com/charmbracelet/bubbletea"
	miniflux "miniflux.app/client"
)

func main() {

	// ipcc := mpv.NewIPCClient("/tmp/mpvsocket") // Lowlevel client
	// c := mpv.NewClient(ipcc)                   // Highlevel client, can also use RPCClient

	// c.Loadfile("https://www.youtube.com/watch?v=9dncyekT9d4", mpv.LoadFileModeReplace)
	// // c.SetPause(true)
	// // c.Seek(600, mpv.SeekModeAbsolute)
	// // c.SetFullscreen(true)
	// c.SetPause(false)
	// // fmt.Println(c.Idle())
	// // time.Sleep(10 * time.Second)
	// // fmt.Println(c.Idle())
	// for {
	// 	pos, _ := c.Position()
	// 	dur, _ := c.Duration()
	// 	fmt.Printf("%f/%f\n", pos, dur)

	// 	time.Sleep(1 * time.Second)

	// }
	// return

	// init miniflux
	client := miniflux.New("https://miniflux.fricloud.dk/v1/", "tFkVpjmSvePfGX6SBtcE61HSziALNAIeZ0eq5mkQOso=")

	// init miniflux player
	m := cmd.MinifluxPlayer{
		MinifluxClient:  client,
		DefaultCategory: "",
		MpvPath:         "mpv",
	}

	// run tea program
	if _, err := tea.NewProgram(&m, tea.WithAltScreen()).Run(); err != nil {
		fmt.Println(err)

	}
}
